
# FAST-DNA overview
FAST-DNA is tooling, resources, and components used to accelerate building Web sites and applications.

Teams spend significant time building parts of the design system (colors, variable font, typography, grid, components, etc.) which can slow adoption of the latest design guidelines and related technologies. FAST-DNA solves this problem by providing tooling and resources to accelerate development with code that is performant and accessible. The resources work with multiple component frameworks such as (Fabric, Foundation, etc.) as well as JavaScript frameworks and libraries (React, Angular, etc.).

## Status
[![CircleCI](https://circleci.com/gh/Microsoft/fast-dna/tree/master.svg?style=shield&circle-token=d159a8b24ccb8046e07138c98717c32cb92589d6)](https://circleci.com/gh/Microsoft/fast-dna/tree/master)
[![Maintainability](https://api.codeclimate.com/v1/badges/8a74621e634a6e9b9561/maintainability)](https://codeclimate.com/github/Microsoft/fast-dna/maintainability)
[![Test Coverage](https://api.codeclimate.com/v1/badges/8a74621e634a6e9b9561/test_coverage)](https://codeclimate.com/github/Microsoft/fast-dna/test_coverage)
[![lerna](https://img.shields.io/badge/maintained%20with-lerna-cc00ff.svg)](https://lernajs.io/)
![license](https://img.shields.io/github/license/mashape/apistatus.svg)

## Packages
[Lerna](https://github.com/lerna/lerna#independent-mode---independent) is used to organize and manage this mono repository. Most of these packages are published to NPM. Users can choose à la carte which utility service to use in their development efforts.

[Continue on Wiki...](https://github.com/Microsoft/fast-dna/wiki/Packages)

## Documentation
This [GitHub Wiki](https://github.com/Microsoft/fast-dna/wiki) includes guidance on getting started, contributing, consumption, quality, testing, help, and community policies.

## Contact
* Ask for help [on Stack Overflow](https://stackoverflow.com/questions/tagged/fast-dna)
* Join the community [on Discord](https://discord.gg/FcSNfg4)
* Submit [requests / issues](https://github.com/Microsoft/fast-dna/issues/new/choose)
* Contributors [find issues to work on](https://github.com/Microsoft/fast-dna/labels/contribute%20%3A%20good%20first%20issue)
